﻿/*===========================================
    Backgrounds for this sample are powered by ThinkGeo Cloud Maps and require
    a Client ID and Secret. These were sent to you via email when you signed up
    with ThinkGeo, or you can register now at https://cloud.thinkgeo.com.
===========================================*/

using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WinForms;

namespace HelloWorld
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string convertResultFor4326 = Proj4Projection.ConvertEpsgToPrj(4326);


            winformsMap1.MapUnit = GeographyUnit.Meter;
            winformsMap1.ZoomLevelSet = new ThinkGeoCloudMapsZoomLevelSet();
            winformsMap1.CurrentExtent = new RectangleShape(-13949117, 6589486, -8078754, 3042807);

            // Please input your ThinkGeo Cloud Client ID / Client Secret to enable the background map. 
            ThinkGeoCloudRasterMapsOverlay thinkGeoCloudMapsOverlay = new ThinkGeoCloudRasterMapsOverlay("BvRsl-73bP_CZ3y-Y0xcRymWnA372QmKAtfM4t00_4E~", "QMTq_9E1fnyXImMPD-c-whzdS7MC8V2PDde6gBJ3dpq8bL_FJQztog~~");
            winformsMap1.Overlays.Add(thinkGeoCloudMapsOverlay);

            winformsMap1.Refresh();
        }
    }
}
